# version-cmp.c File Reference

Version comparison functions. More...

`#include "config.h"`
`#include <assert.h>`
`#include <ctype.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <discover/discover.h>`
`#include <discover/utils.h>`

Go to the source code of this file.

## Defines

#define | MAXBUFLEN 256

## Typedefs

typedef enum range_states | range_state

## Enumerations

enum | range_states { START, OPEN, VERSION1, VERSEP1, PAUSE1, SEPARATOR, I, N, F, VERSION2, VERSEP2, PAUSE2, CLOSE, ERROR }

## Functions

int | discover_xml_version_cmp (char *range, char *version, discover_error_t *status)

## Detailed Description

Version comparison functions.

This file holds the routines needed to process version data in the XML file. This version data is used to look for information pertaining to a particular version of the OS/software requiring that information.

Definition in file version-cmp.c.

## Define Documentation

#define MAXBUFLEN 256

| This probably shouldn't be here; it's bad practice (3.0, right). Definition at line 55 of file version-cmp.c.

## Typedef Documentation

typedef enum range_states range_state

| This is used as a placeholder while comparing versions of modules.

## Enumeration Type Documentation

enum range_states

| Version placeholders Definition at line 58 of file version-cmp.c.